Global router state

This is where we hold the global mutable state such as current state, current params, current transition, etc.

### Hierarchy

- UIRouterGlobals

### Implements

- Disposable

## Index

### Properties

- $current
- current
- lastStartedTransitionId
- params
- successfulTransitions
- transition
- transitionHistory

### Methods

- dispose

## Properties

$current: StateObject

Current state (internal object)

Current state (internal object)

The to-state from the latest successful transition

- Defined in globals.ts:39

current: StateDeclaration

Current state

Current state

The to-state from the latest successful transition

- Defined in globals.ts:31

lastStartedTransitionId: number = -1

- Defined in globals.ts:48

params: StateParams = new StateParams()

Current parameter values

Current parameter values

The parameter values from the latest successful transition

- Defined in globals.ts:24

successfulTransitions: Queue<Transition> = new Queue<Transition>([], 1)

- Defined in globals.ts:54

transition: Transition

The current started/running transition. This transition has reached at least the onStart phase, but is not yet complete

The current started/running transition. This transition has reached at least the onStart phase, but is not yet complete

- Defined in globals.ts:45

transitionHistory: Queue<Transition> = new Queue<Transition>([], 1)

- Defined in globals.ts:51

## Methods

- dispose(): void

- #### Returns void

  - Defined in globals.ts:56

Generated using TypeDoc